# ApplicationFramework
PTKernel
PCollection

# PCollection_IsNotRoot Class Reference

`#include <PCollection_IsNotRoot.hxx>`

## Public Member Functions

Standard_EXPORT | PCollection_IsNotRoot ()
Standard_EXPORT | PCollection_IsNotRoot (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (PCollection_IsNotRoot) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PCollection_IsNotRoot_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PCollection_IsNotRoot::PCollection_IsNotRoot | ( |  | ) | `[inline]`

Standard_EXPORT PCollection_IsNotRoot::PCollection_IsNotRoot | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PCollection_IsNotRoot::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT PCollection_IsNotRoot::Handle | ( | PCollection_IsNotRoot |  | ) | const`[static]`

static Standard_EXPORT void PCollection_IsNotRoot::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

static Standard_EXPORT void PCollection_IsNotRoot::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

virtual Standard_EXPORT void PCollection_IsNotRoot::Throw | ( |  | ) | const`[private, virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PCollection_IsNotRoot_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PCollection_IsNotRoot.hxx